{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Laporan Data Fasilitas Olah Raga</title>

    <style>
        body {
            font-family: Arial, sans-serif;
        }
        #header {
            text-align: center;
        }
        #logo-container {
            display: flex;
            align-items: center;
            justify-content: center;
        }
        #logo {
            max-width: 90px;
            max-height: 90px;
            margin-right: 20px;
        }
        #text-container {
            text-align: center;
            margin-bottom: 20px;
        }
        #text-container h3,
        #text-container h1,
        #text-container p {
            margin: 5px 0;
        }
        #address {
            text-align: center;
        }
        #divider {
            width: 100%;
            border-top: 1px solid #000;
            /* margin-top: 20px; */
            /* margin-bottom: 20px; */
        }
        hr {
            border: none;
            border-top: 5px solid #000; /* Warna dan ketebalan garis dapat disesuaikan */
            /* Atur spasi atas dan bawah garis */
        }
        table {
            border-collapse: collapse;
            width: 100%;
        }
    
        th, td {
            border: 1px solid black;
            padding: 8px;
            text-align: left;
        }
    
        th {
            background-color: #f2f2f2;
        }
    
        th:first-child,
        th:nth-child(2),
        th[colspan="2"],
        th:nth-last-child(2),
        th:last-child,
        th:nth-child(5),
        th:nth-child(6) {
            text-align: center;
        }
    
        .sign-box {
            width: 48%;
            padding: 10px;
            margin-top: 20px;
            display: inline-block;
            vertical-align: top;
            text-align: center;
            border: 1px solid black;
            box-sizing: border-box;
            text-align: left;
        }
    
        .row {
            width: 100%;
        }
        .nonLine {
            border-collapse: collapse;
            width: 100%;
            border: none;
        }
        h3 {
            font-family: 'Times New Roman', Times, serif;
        }
        h1 {
            font-family: 'Times New Roman', Times, serif;
        }
        p {
            font-family: 'Times New Roman', Times, serif;
        }
    </style>
</head>

<body onload="window.print()">
    <div id="header">
        <div id="logo-container">
            <img id="logo" src="{% static 'admin/images/logo-supiori.png' %}" alt="Logo">
            <div id="text-container">
                <h3>PEMERINTAH KABUPATEN SUPIORI</h3>
                <h1>SEKRETARIAT DAERAH</h1>
                <p>Jl. Raya Sorendiweri, Distrik Supiori Timur- Kabupaten Supiori-Provinsi Papua</p>
            </div>
        </div>
    </div>

    <div id="divider"></div>
    <hr> <!-- Garis tambahan setelah kop -->
    <center>
        <h2>Laporan Data Fasilitas Olah Raga</h2>
    </center>
    <table class="table table-striped table-bordered dt-responsive" id="table-list">
        <thead class="bg-primary text-white">
            <tr>
                <th rowspan="2">No</th>
                <th rowspan="2">Tahun</th>
                <th rowspan="2">Wilayah</th>
                <th colspan="5">Uraian & Bukti</th>
            </tr>
            <tr>
                <th>Lapangan Voly</th>
                <th>Lapangan Bola Kaki</th>
                <th>Lapangan Basket</th>
                <th>Lapangan Takrauw</th>
                <th>Lapangan Bulutangkis</th>
            </tr>
        </thead>
        <tbody>
            {% for data_fasilitas in fasilitasolahraga %}
                <tr>
                        <td>{{forloop.counter}}</td>
                        <td>{{data_fasilitas.tahun}}</td>
                        <td>{{data_fasilitas.kampung.distrik.title}}-{{data_fasilitas.kampung.titles}} </td>
                        <td>Lapangan Voly :{{data_fasilitas.jml_lapangan_voly}}
                            <img src="{{data_fasilitas.foto_jml_lapangan_voly.url}}" width="100">
                        </td>
                        <td>Lapangan Bola Kaki :{{data_fasilitas.jml_lapangan_bola}}
                            <img src="{{data_fasilitas.foto_jml_lapangan_voly.url}}" width="100">
                        </td>
                        <td>Lapangan Basket :{{data_fasilitas.jml_lapangan_basket}}
                            <img src="{{data_fasilitas.foto_jml_lapangan_voly.url}}" width="100">
                        </td>
                        <td>Lapangan Takrauw :{{data_fasilitas.jml_lapangan_takraw}}
                            <img src="{{data_fasilitas.foto_jml_lapangan_voly.url}}" width="100">
                        </td>
                        <td>Lapangan Bulutangkis :{{data_fasilitas.jml_lapangan_bulutangkis}}
                        <img src="{{data_fasilitas.foto_jml_lapangan_voly.url}}" width="100">
                    </td>
                         
                </tr>
           {% endfor %}
        </tbody>
    </table>
    <hr>
    <center><h3>Data Karang Taruna</h3></center>
    <table class="table table-striped table-bordered dt-responsive" id="table-list">
        <thead class="bg-primary text-white">
            <tr>
                <th scope="col" class="text-center">No</th>
                <th>Tahun</th>
                <th>Wilayah</th>
                <th>Nama karang taruna</th>
                <th>Nama Ketua</th>
                <th>Jumlah Anggota</th>
                <th scope="col" class="text-center">Pelatihan yang <br>pernah diberikan</th>
                
            </tr>
        </thead>
        <tbody>
            {% for data_fasilitas in fasilitasolahraga %}
                {% for data_detail in data_fasilitas_detail %}
                <tr>
                    <td>{{forloop.counter}}</td>
                    <td>{{data_fasilitas.tahun}}</td>
                    <td>{{data_fasilitas.kampung.distrik.title}}-{{data_fasilitas.kampung.titles}} </td>
                    <td>{{data_detail.namakelompok}}</td>
                    <td>{{data_detail.ketua}}</td>
                    <td>{{data_detail.jml_anggota}} Orang</td>
                    <td>{{data_detail.pelatihan}}</td>
                
                </tr>
                {% endfor %}
            {% endfor %}
        </tbody>
    </table>
    <hr>
    <center><h3>Data Atlet Berprestasi</h3></center>
    <table class="table table-striped table-bordered dt-responsive" id="table-list">
        <thead class="bg-info text-white">
            <tr>
                <th scope="col" class="text-center">No</th>
                <th>Tahun</th>
                <th>Wilayah</th>
                <th>Nama Atlet</th>
                <th>Event olahraga  yang<br> pernah diikuti</th>
                <th>Prestasi yang diraih</th>
                
            </tr>
        </thead>
        <tbody>
        {% for data_fasilitas in fasilitasolahraga %}
            {% for data_atlet in data_atlit %}
            <tr>
                <td>{{forloop.counter}}</td>
                <td>{{data_fasilitas.tahun}}</td>
                <td>{{data_fasilitas.kampung.distrik.title}}-{{data_fasilitas.kampung.titles}} </td>
                <td>{{data_atlet.nama}}</td>
                <td>{{data_atlet.event}}</td>
                <td>{{data_atlet.prestasi}}</td>
            </tr>
                {% endfor %}
            {% endfor %}
        </tbody>
    </table>

</body>
</html>
